# Uses of Enum
org.codehaus.janino.TokenType

Packages that use TokenType
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of TokenType in org.codehaus.janino

Fields in org.codehaus.janino declared as TokenType
Modifier and Type
Field
Description
`final TokenType`
Token.`type`
The type of this token.
Methods in org.codehaus.janino that return TokenType
Modifier and Type
Method
Description
`static TokenType`
TokenType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TokenType[]`
TokenType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.codehaus.janino with parameters of type TokenType
Modifier and Type
Method
Description
`boolean`
Parser.`peek(TokenType suspected)`
`int`
Parser.`peek(TokenType... suspected)`
`boolean`
TokenStream.`peek(TokenType suspected)`
`int`
TokenStream.`peek(TokenType... suspected)`
Checks whether the type of the next token is any of the suspected; does not consume the next token.
`boolean`
TokenStreamImpl.`peek(TokenType suspected)`
`int`
TokenStreamImpl.`peek(TokenType... suspected)`
`boolean`
Parser.`peekNextButOne(TokenType suspected)`
`String`
Parser.`peekRead(TokenType suspected)`
`String`
TokenStream.`peekRead(TokenType suspected)`
Checks whether the type of the next token is the suspected; if so, consumes the token.
`int`
TokenStream.`peekRead(TokenType... suspected)`
Checks whether the type of the next token is one of the suspected; if so, consumes the token.
`String`
TokenStreamImpl.`peekRead(TokenType suspected)`
`int`
TokenStreamImpl.`peekRead(TokenType... suspected)`
`String`
Parser.`read(TokenType expected)`
`String`
TokenStream.`read(TokenType expected)`
Verifies that the type of the next token is the expected, and consumes the token.
`int`
TokenStream.`read(TokenType... expected)`
Verifies that the type of the next token is one of the expected, and consumes the token.
`String`
TokenStreamImpl.`read(TokenType expected)`
`int`
TokenStreamImpl.`read(TokenType... expected)`
Constructors in org.codehaus.janino with parameters of type TokenType
Modifier
Constructor
Description
``
`Token(String fileName, int lineNumber, int columnNumber, TokenType type, String value)`
``
`Token(Location location, TokenType type, String value)`